# Scripting API for Linked List Backend

## Linked List Data Structure

A list objects holds the information of a data structure of type Linked List.

### Properties

- name :

  The unique name of this data structure.

### Methods

head()

  Return head node of the list.

          ListNode head

setHead(node)

  Set the head of the list.

          void setHead
              ListNode node

createNode(type)

  Create a new node of the specified type and return the created node. If the type is not registered, no node is created.

          ListNode createNode
              int type

createNode()

  Create a new node of default type and return the created node.

          ListNode createNode

## List Node

A node is the data element of a linked list.

### Properties

- width :

  The size of this data element.

- x :

  The x-coordinate of this data element.

- y :

  The y-coordinate of this data element.

- id :

  The unique identifier of this data element.

- color :

  The color of this data element stated as hexadecimal value.

### Methods

pointTo(target)

  Set pointer of this list node to the target node.

          void pointTo
              ListNode target